package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BaseChemMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_CHEM", namespace=BaseChemMapper.class)
public class BaseChem extends BaseVO implements Serializable {

	/** 化学元素代码 */
	@Id("CHEM_CODE")
	private String chemCode;

	/** 化学元素名称 */
	@Column("CHEM_NAME")
	private String chemName;

	/** 化学元素类型(A:单一元素,B:复合元素) */
	@Column("CHEM_TYPE")
	private String chemType;

	/** 复合元素计算公式 */
	@Column("CHEM_FORMULA")
	private String chemFormula;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** {老系统}化学元素代码 */
	@Column("CHEM_CODE_OLD")
	private String chemCodeOld;

	/** 修约位数(保留几位小数) */
	@Column("ROUND_OFF_DIGITS")
	private Integer roundOffDigits; 
	
	/** 修约规则代码(COM_BASE_INFO:4108) */
	@Column("ROUND_OFF_RULES_CODE")
	private String roundOffRulesCode;
	
	/** 修约规则名称(COM_BASE_INFO:4108) */
	@Column("ROUND_OFF_RULES_NAME")
	private String roundOffRulesName;
	
	public String getChemCode() {
		return this.chemCode;
	}

	public String getChemName() {
		return this.chemName;
	}

	public String getChemType() {
		return this.chemType;
	}

	public String getChemFormula() {
		return this.chemFormula;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getChemCodeOld() {
		return this.chemCodeOld;
	}

	public Integer getRoundOffDigits() {
		return roundOffDigits;
	}

	public String getRoundOffRulesCode() {
		return roundOffRulesCode;
	}

	public String getRoundOffRulesName() {
		return roundOffRulesName;
	}

	public void setChemCode(String chemCode) {
		this.chemCode = chemCode;
	}

	public void setChemName(String chemName) {
		this.chemName = chemName;
	}

	public void setChemType(String chemType) {
		this.chemType = chemType;
	}

	public void setChemFormula(String chemFormula) {
		this.chemFormula = chemFormula;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setChemCodeOld(String chemCodeOld) {
		this.chemCodeOld = chemCodeOld;
	}

	public void setRoundOffDigits(Integer roundOffDigits) {
		this.roundOffDigits = roundOffDigits;
	}

	public void setRoundOffRulesCode(String roundOffRulesCode) {
		this.roundOffRulesCode = roundOffRulesCode;
	}

	public void setRoundOffRulesName(String roundOffRulesName) {
		this.roundOffRulesName = roundOffRulesName;
	}

}
